'use strict';

// VENDOR LIBS
const addPath = require('app-module-path').addPath;
const configuration = require('./config');
const glob = require('glob');
const lodash = require('lodash');
const path = require('path');

module.exports = function (config) {
    let tasks;

    lodash.extend(configuration, config);

    process.env.NODE_PATH = config.root;
    addPath(config.root);

    tasks = glob.sync(path.join(__dirname, 'tasks/*'));

    tasks.forEach(function(task) {require(task);});
};